GET /networks/{networkId}/wireless/usageHistory

meraki.com

Summary: Return AP usage over time for a device or network client
Operation ID: getNetworkWirelessUsageHistory
Auth: unknown
Description

Return AP usage over time for a device or network client

Parameters (11)

apTag (string, query, optional)

Filter results by AP tag; either :clientId or :deviceSerial must be jointly specified.

autoResolution (boolean, query, optional)

Automatically select a data resolution based on the given timespan; this overrides the value specified by the 'resolution' parameter. The default setting is false.

band (string, query, optional)

Filter results by band (either '2.4', '5' or '6').

Constraints: {'enum': ['2.4', '5', '6']}

clientId (string, query, optional)

Filter results by network client to return per-device AP usage over time inner joined by the queried client's connection history.

deviceSerial (string, query, optional)

Filter results by device. Requires :band.

networkId (string, path, required)
resolution (integer, query, optional)

The time resolution in seconds for returned data. The valid resolutions are: 300, 600, 1200, 3600, 14400, 86400. The default is 86400.

ssid (integer, query, optional)

Filter results by SSID number.

t0 (string, query, optional)

The beginning of the timespan for the data. The maximum lookback period is 31 days from today.

t1 (string, query, optional)

The end of the timespan for the data. t1 can be a maximum of 31 days after t0.

timespan (number, query, optional)

The timespan for which the information will be fetched. If specifying timespan, do not specify parameters t0 and t1. The value must be in seconds and be less than or equal to 31 days. The default is 7 days.

No probe data for this endpoint yet.